<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GncQueryDetailsBean.WhBean" />
    </data>

    <LinearLayout
        shape_bg_color='@{"#E0E0E0"}'
        shape_radius="@{5}"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        android:background="#E0E0E0"
        android:gravity="center_vertical"
        android:padding="10dp">

        <TextView
            shape_bg_color='@{"#95ecd4"}'
            shape_radius="@{15}"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:background="#95ecd4"
            android:gravity="center"
            android:text="@{bean.splitFlag}" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:orientation="vertical">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{3}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="件数：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{bean.pc}"
                            tools:text="78156462164631" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{4}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="库位：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text='@{bean.location}' />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.2"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{5}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="截载航班：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{bean.flight}" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.2"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{6}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="危险品描述：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text='@{bean.dgrDetail}' />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{3}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="重量：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{bean.weight}"
                            tools:text="78156462164631" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{4}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="承运人：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text='@{bean.by1}' />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.2"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{5}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="航程：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{bean.range}" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.2"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{6}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="危险品库：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text='@{bean.dgrLocation}' />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{3}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="体积：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{bean.volume}"
                            tools:text="78156462164631" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{4}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="收运员：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text='@{bean.username}' />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.2"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{5}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="入库时间：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{bean.opDate}" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.2"
                        android:gravity="center_vertical">

                        <TextView
                            completeSpace="@{6}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="出库时间：" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text='@{bean.fclose}' />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>

            </LinearLayout>

        </androidx.appcompat.widget.LinearLayoutCompat>


    </LinearLayout>
</layout>